import { Span, Transaction } from '@sentry/types';
import { Scope } from '@sentry/types';
import { Hub } from '../hub';
/**
 * Grabs active transaction off scope.
 *
 * @deprecated You should not rely on the transaction, but just use `startSpan()` APIs instead.
 */
export declare function getActiveTransaction<T extends Transaction>(maybeHub?: Hub): T | undefined;
export { stripUrlQueryAndFragment } from '@sentry/utils';
/**
 * Returns the currently active span.
 */
export declare function getActiveSpan(): Span | undefined;
declare const CHILD_SPANS_FIELD = "_sentryChildSpans";
type SpanWithPotentialChildren = Span & {
    [CHILD_SPANS_FIELD]?: Set<Span>;
};
/**
 * Adds an opaque child span reference to a span.
 */
export declare function addChildSpanToSpan(span: SpanWithPotentialChildren, childSpan: Span): void;
/**
 * Obtains the entire span tree, meaning a span + all of its descendants for a particular span.
 */
export declare function getSpanTree(span: SpanWithPotentialChildren): Span[];
/** Store the scope & isolation scope for a span, which can the be used when it is finished. */
export declare function setCapturedScopesOnSpan(span: Span | undefined, scope: Scope, isolationScope: Scope): void;
/**
 * Grabs the scope and isolation scope off a span that were active when the span was started.
 */
export declare function getCapturedScopesOnSpan(span: Span): {
    scope?: Scope;
    isolationScope?: Scope;
};
//# sourceMappingURL=utils.d.ts.map
